org.apache.ignite.internal.client.router

## Interface GridTcpRouterMBean

All Known Implementing Classes:
  GridTcpRouterImpl

    @MXBeanDescription(value="MBean for TCP router.")
    public interface GridTcpRouterMBean

MBean interface for TCP router.

### Method Summary

Methods
`String` `getHost()` Gets host for TCP binary protocol server.
`int` `getPort()` Gets port for TCP binary protocol server.
`long` `getReceivedCount()` Returns number of messages received by this router.
`long` `getSendCount()` Returns number of responses returned by this router.
`Collection<String>` `getServers()` Gets list of server addresses where router's embedded client should connect.
`boolean` `isSslClientAuth()` Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.
`boolean` `isSslEnabled()` Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.

### Method Detail

#### getHost

    @MXBeanDescription(value="Host for TCP binary protocol server.")
    String getHost()

Gets host for TCP binary protocol server.

Returns:
  TCP host.

#### getPort

    @MXBeanDescription(value="Port for TCP binary protocol server.")
    int getPort()

Gets port for TCP binary protocol server.

Returns:
  TCP port.

#### isSslEnabled

    @MXBeanDescription(value="Flag indicating whether or not SSL is enabled for incoming connections.")
    boolean isSslEnabled()

Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.

Returns:
  Whether or not client authentication is required.

#### isSslClientAuth

    @MXBeanDescription(value="Flag indicating whether or not remote clients are required to have a valid SSL certificate.")
    boolean isSslClientAuth()

Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.

Returns:
  Whether or not client authentication is required.

#### getServers

    @MXBeanDescription(value="Gets list of server addresses where router\'s embedded client should connect.")
    Collection<String> getServers()

Gets list of server addresses where router's embedded client should connect.

Returns:
  List of server addresses.

#### getReceivedCount

    @MXBeanDescription(value="Number of messages received by this router.")
    long getReceivedCount()

Returns number of messages received by this router. Note that this parameter has approximate value.

Returns:
  Number of messages received by this router.

#### getSendCount

    @MXBeanDescription(value="Number of responses returned by this router.")
    long getSendCount()

Returns number of responses returned by this router. Note that this parameter has approximate value.

Returns:
  Number of responses returned by this router.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016